Subject: Re: Updating RFC 4861

From: Loganaden Velvindron <[email-masked]>
Date: Sun, 19 Apr 2015 09:36:36 +0000

On Mon, Mar 30, 2015 at 4:50 PM, 神明達哉 <[email-masked]> wrote:
> At Fri, 27 Mar 2015 15:43:30 +0000,
> Loganaden Velvindron <[email-masked]> wrote:
>
>> > I'm not sure if we want to include a specific validation on the
>> > received value of Cur Hop Limit in the protocol specification.  I've
>> > assumed that the general sense is that an on-link attacker can
>> > generally perform various evil things (whose severity vary) and we
>> > address a specific threat in the base protocol spec only when it's
>> > considered to be too severe.  An example of this is the "too short a
>> > valid lifetime attack".  In that sense, sending too small a Cur Hop
>> > Limit value looks quite minor to me.
>>
>> It is possible to cause a denial of service attack on a link-local
>> interface. A patch has been queued for inclusion in Linux:
>>
>> http://www.spinics.net/lists/netdev/msg322361.html
>>
>> I think that since we have running code, and and upcoming CVE, we
>> might want the standard to reflect what's currently happening in
>> production operating systems.
>
> The "denial of service attack" in this case is to make a certain set
> of off-link destinations unreachable, right?  If I were an attacker, I
> could achieve that goal by sending RAs with valid routers's source
> addresses and with the router lifetime being 0.  So, again personally,
> I'm not really convinced whether we need this "defense" in the first
> place - if we really want to avoid this class of "attacks" (which are
> annoying but relatively minor and can only be done by an on-link
> attacker - although I can imagine some cases where it can really
> matter), I'd rather rely on a more comprehensive measure such as SEND
> or RA guard, depending on requirement details (whether it has to work
> perfectly even if hard to deploy, or we need something reasonably
> workable and deployable).  And so I personally don't buy then argument
> that we need to tweak the protocol just because some implementors
> wanted to do something deviant.

Up to now, we have FreeBSD, Linux and also Illumnos who have all
implemented that tweak.

> --
> JINMEI, Tatuya